!
! nbody_particle_data.f90
!

      MODULE nbody_particle_data

          USE nbody_utility

          PUBLIC
          SAVE

          INTEGER,PARAMETER :: first_particle_component_index = 1
          INTEGER,PARAMETER :: position_x_index               =      &
     &                             first_particle_component_index
          INTEGER,PARAMETER :: position_y_index               =      &
     &                             (position_x_index + 1)
          INTEGER,PARAMETER :: position_z_index               =      &
     &                             (position_y_index + 1)
          INTEGER,PARAMETER :: velocity_x_index               =      &
     &                             (position_z_index + 1)
          INTEGER,PARAMETER :: velocity_y_index               =      &
     &                             (velocity_x_index + 1)
          INTEGER,PARAMETER :: velocity_z_index               =      &
     &                             (velocity_y_index + 1)
          INTEGER,PARAMETER :: mass_index                     =      &
     &                             (velocity_z_index + 1)
          INTEGER,PARAMETER :: last_particle_component_index  =      &
     &                             mass_index
          INTEGER,PARAMETER :: number_of_particle_components  =      &
                                   (last_particle_component_index -  &
                                    first_particle_component_index + 1)

      END MODULE nbody_particle_data

